aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-misc/salome-gui')
-rw-r--r--sci-misc/salome-gui/ChangeLog6
-rw-r--r--sci-misc/salome-gui/Manifest15
-rw-r--r--sci-misc/salome-gui/files/salome-gui-5.1.4-qt4-path.patch11
-rw-r--r--sci-misc/salome-gui/salome-gui-5.1.4.ebuild117
4 files changed, 138 insertions, 11 deletions
diff --git a/sci-misc/salome-gui/ChangeLog b/sci-misc/salome-gui/ChangeLog
index 5180a58dc..eb44277d1 100644
--- a/sci-misc/salome-gui/ChangeLog
+++ b/sci-misc/salome-gui/ChangeLog
@@ -1,6 +1,12 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*salome-gui-5.1.4 (27 Oct 2010)
+
+ 27 Oct 2010; Thomas Kahle <tomka@gentoo.org> +salome-gui-5.1.4.ebuild,
+ +files/salome-gui-5.1.4-qt4-path.patch:
+ Bump to 5.1.4, ebuild by Michael Riss in bug 330303
+
29 Jun 2010; Justin Lecher <jlec@gentoo.org> salome-gui-5.1.3.ebuild:
Python ABI fixes
diff --git a/sci-misc/salome-gui/Manifest b/sci-misc/salome-gui/Manifest
index 7f64f2b2b..6ed97205a 100644
--- a/sci-misc/salome-gui/Manifest
+++ b/sci-misc/salome-gui/Manifest
@@ -1,15 +1,8 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA1
-
AUX salome-gui-5.1.3-qt4-path.patch 466 RMD160 eccedc638d748a4cfa0e394ebe04cc748bacbc5e SHA1 539a3105d97c38a4d30fd8e8620af63fe4278568 SHA256 051e0e2c75328e4a9b301d33ba77944befbc2603c656c096a05db8cb64f70fc0
+AUX salome-gui-5.1.4-qt4-path.patch 466 RMD160 f7ecdcead70f66a3e2d7e1e9ace6d12cbc79db67 SHA1 54d07e63908894c8353dbd7d70ef9990e1036b5d SHA256 4a02e9e4ad99a028df2a56d02bb97cf488ef19ab182c2064bd4e2bc7523700f8
DIST src5.1.3.tar.gz 106470135 RMD160 f46ac847ab57c76df524ddf358b887662fc862cf SHA1 643c775f90277314983747e002918ee5b826db90 SHA256 78ce2acc9cfa474e030723674f4420c420fd2de926b1939455c3716f1fd48a2b
+DIST src5.1.4.tar.gz 120063320 RMD160 c309cebcc4808071d72b5a335185002d69d1420f SHA1 a8b922424af634bda35269e6049a1262e27fc260 SHA256 dd59384ad4fbbbe49c72e946eed9e0f6144a01c799efab62033113a3db46eeae
EBUILD salome-gui-5.1.3.ebuild 3293 RMD160 acc52e299dd3c795c976b5e4494b1a95851b5a5f SHA1 5aeb7a9884d1c6236e21dff4fa592d2f149a9def SHA256 e0afe20dda77e3c585844f402845f4c4eb91c2c4bff88a5ef857e4306d725fa1
-MISC ChangeLog 2385 RMD160 6507b7aa1a8364168f2f3a557fe3fd837a9595ed SHA1 9cc049a78168be5db47498b338eae62dca2ce5f6 SHA256 85efae3afb547156c504df0c1ff28fee577f0186aac47d1e316755c11837e4b0
+EBUILD salome-gui-5.1.4.ebuild 3380 RMD160 b58a84be346d259b64cf937b787bd269ff531edf SHA1 69e84d04ef72c4d09c3aa115b07c99f731917cf4 SHA256 80a0d411174af702e0824197b250aecabdca1a11d631157dec05caed2b5ccd43
+MISC ChangeLog 2588 RMD160 5b01f59e14b75f281b54d8c3e92f5ac260c2b1c6 SHA1 91378f406117e6fcd420befba13a7cc6592263eb SHA256 660bca45a6496fa25456e515a630fca037df0e3f691bb93e61887b4f0bf8a064
MISC metadata.xml 156 RMD160 dc078172bfebcb25d69bdf8731714f9cce9d3e36 SHA1 da2b240a255820145b7c83a5c48e45b96b7e9ee6 SHA256 5d22100902db7507a5b5493dd4a66cdb08025faf80a2c0b75e6392315c47f900
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2.0.15 (GNU/Linux)
-
-iEYEARECAAYFAkwqWewACgkQgAnW8HDreRbuNgCeO2f9ZqFYDJJmcBcxIAk6viy3
-pCIAoMOIj9v/CWWWOYVh8sK+6rMuyXMU
-=lrSs
------END PGP SIGNATURE-----
diff --git a/sci-misc/salome-gui/files/salome-gui-5.1.4-qt4-path.patch b/sci-misc/salome-gui/files/salome-gui-5.1.4-qt4-path.patch
new file mode 100644
index 000000000..e29bd76df
--- /dev/null
+++ b/sci-misc/salome-gui/files/salome-gui-5.1.4-qt4-path.patch
@@ -0,0 +1,11 @@
+--- src5.1.4.orig/GUI_SRC_5.1.4/adm_local/unix/config_files/check_qt.m4 2010-03-06 21:00:58.281572535 +0100
++++ src5.1.4/GUI_SRC_5.1.4/adm_local/unix/config_files/check_qt.m4 2010-03-06 21:03:34.110325466 +0100
+@@ -333,7 +333,7 @@
+
+ LIBS_old=$LIBS
+ if test "x$QTDIR" = "x/usr" ; then
+- QT_LIB_DIR=""
++ QT_LIB_DIR="-L/usr/lib${LIB_LOCATION_SUFFIX}/qt4"
+ elif test -d ${QTDIR}/lib; then
+ QT_LIB_DIR="-L$QTDIR/lib"
+ elif test -d ${QTDIR}/lib64; then
diff --git a/sci-misc/salome-gui/salome-gui-5.1.4.ebuild b/sci-misc/salome-gui/salome-gui-5.1.4.ebuild
new file mode 100644
index 000000000..d34b36744
--- /dev/null
+++ b/sci-misc/salome-gui/salome-gui-5.1.4.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+PYTHON_DEPEND="2:2.4"
+
+inherit eutils flag-o-matic python
+
+DESCRIPTION="SALOME : The Open Source Integration Platform for Numerical Simulation. GUI component"
+HOMEPAGE="http://www.salome-platform.org"
+SRC_URI="http://files.opencascade.com/Salome/Salome${PV}/src${PV}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="debug doc opengl"
+
+RDEPEND="opengl? ( virtual/opengl )
+ debug? ( dev-util/cppunit )
+ >=sci-misc/salome-kernel-${PV}
+ >=net-misc/omniORB-4.1.4
+ >=dev-python/omniorbpy-3.4
+ >=sci-libs/hdf5-1.6.4
+ >=dev-libs/boost-1.40.0
+ >=x11-libs/qt-core-4.5.2
+ >=x11-libs/qt-gui-4.5.2
+ >=x11-libs/qt-opengl-4.5.2
+ >=x11-libs/qwt-5.2
+ >=dev-python/PyQt4-4.5.4
+ >=sci-libs/vtk-5.0[python,mpi]
+ >=sci-libs/opencascade-6.3
+ app-text/dgs"
+
+DEPEND="${RDEPEND}
+ >=app-doc/doxygen-1.5.6
+ media-gfx/graphviz
+ >=dev-python/sip-4.8.2
+ dev-lang/swig
+ dev-libs/libxml2"
+
+MODULE_NAME="GUI"
+S="${WORKDIR}/src${PV}/${MODULE_NAME}_SRC_${PV}"
+INSTALL_DIR="/opt/salome-${PV}/${MODULE_NAME}"
+GUI_ROOT_DIR="/opt/salome-${PV}/${MODULE_NAME}"
+
+pkg_setup() {
+ [[ $(python_get_version) > 2.4 ]] && \
+ ewarn "Python 2.4 is highly recommended for Salome..."
+ python_set_active_version 2
+ append-ldflags $(no-as-needed)
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-qt4-path.patch
+
+ rm -r -f autom4te.cache
+ ./clean_configure
+ ./build_configure
+}
+
+src_configure() {
+ local vtk_suffix=""
+
+ has_version ">=sci-libs/vtk-5.0" && vtk_suffix="-5.0"
+ has_version ">=sci-libs/vtk-5.2" && vtk_suffix="-5.2"
+ has_version ">=sci-libs/vtk-5.4" && vtk_suffix="-5.4"
+ has_version ">=sci-libs/vtk-5.6" && vtk_suffix="-5.6"
+
+ econf --prefix=${INSTALL_DIR} \
+ --datadir=${INSTALL_DIR}/share/salome \
+ --docdir=${INSTALL_DIR}/doc/salome \
+ --infodir=${INSTALL_DIR}/share/info \
+ --libdir=${INSTALL_DIR}/$(get_libdir)/salome \
+ --with-python-site=${INSTALL_DIR}/$(get_libdir)/python$(python_get_version)/site-packages/salome \
+ --with-python-site-exec=${INSTALL_DIR}/$(get_libdir)/python$(python_get_version)/site-packages/salome \
+ --with-qt=/usr \
+ --with-qwt=/usr \
+ --with-qwt_inc=/usr/include/qwt5 \
+ --with-vtk=${VTKHOME} \
+ --with-vtk-version=${vtk_suffix} \
+ ${myconf} \
+ $(use_enable debug ) \
+ $(use_enable !debug production ) \
+ $(use_with debug cppunit /usr ) \
+ $(use_with opengl opengl /usr) \
+ || die "econf failed"
+}
+
+src_compile() {
+ MAKEOPTS="-j1" emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ use amd64 && dosym ${INSTALL_DIR}/lib64 ${INSTALL_DIR}/lib
+
+ echo "${MODULE_NAME}_ROOT_DIR=${INSTALL_DIR}" > ./90${P}
+ echo "LDPATH=${INSTALL_DIR}/$(get_libdir)/salome" >> ./90${P}
+ echo "PATH=${INSTALL_DIR}/bin/salome" >> ./90${P}
+ echo "PYTHONPATH=${INSTALL_DIR}/$(get_libdir)/python$(python_get_version)/site-packages/salome" >> ./90${P}
+ doenvd 90${P}
+ rm adm_local/Makefile adm_local/unix/Makefile adm_local/cmake_files/Makefile \
+ adm_local/unix/config_files/Makefile
+
+ insinto "${INSTALL_DIR}"
+ doins -r adm_local
+ use doc && dodoc AUTHORS INSTALL NEWS README
+}
+
+pkg_postinst() {
+ elog "Run \`env-update && source /etc/profile\`"
+ elog "now to set up the correct paths."
+ elog ""
+}